Package org.apache.torque.sql.whereclausebuilder

## Class OnlyReplacementsPreparedStatementPart

- java.lang.Object
- - org.apache.torque.sql.whereclausebuilder.OnlyReplacementsPreparedStatementPart

- All Implemented Interfaces:
    `PreparedStatementPart`

      public class OnlyReplacementsPreparedStatementPart
      extends Object
      implements PreparedStatementPart

  A PreparedStatementPart which only contains replacements, no sql.
  Version:
    $Id: $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OnlyReplacementsPreparedStatementPart​(Object replacement)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Object>` | `getPreparedStatementReplacements()` | Returns the list of prepared statement replacements.
    `String` | `getSqlAsString()` | returns the empty sql.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnlyReplacementsPreparedStatementPart

          public OnlyReplacementsPreparedStatementPart​(Object replacement)

      Constructor.
      Parameters:
        `replacement` - the first replacement to be contained in this PreparedStatementPart.

  - ### Method Detail

    - #### getSqlAsString

          public String getSqlAsString()

      returns the empty sql.
      Specified by:
        `getSqlAsString` in interface `PreparedStatementPart`
      Returns:
        the empty sql, not null.

    - #### getPreparedStatementReplacements

          public List<Object> getPreparedStatementReplacements()

      Returns the list of prepared statement replacements. The returned list is modifiable. On modification of the returned list, the state of this object is changed.
      Specified by:
        `getPreparedStatementReplacements` in interface `PreparedStatementPart`
      Returns:
        the list of prepared statement replacements, not null.